Summary

Description

Version that requires .NET 3.5 - may never be released if we decide to go to 4.0 directly